package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PacoteItem;

public class RenderPacoteItem implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		PacoteItem pacoteItem = (PacoteItem) o;

		Listcell lc = new Listcell(pacoteItem.getPacoteItemId().toString());
		lc.setParent(lstm);

		lc = new Listcell(pacoteItem.getPacote().getNompacote());
		lc.setParent(lstm);

		lc = new Listcell(pacoteItem.getItemAdicional().getDescitemadicional());
		lc.setParent(lstm);

		lstm.setAttribute("data", pacoteItem);
	}

}
